function onBegin()

local luzvermelha = getFirstEntity("CustomLightBeam", "VivHelper.Entities.")

  if getFlag("enddoor1") and getFlag("enddoor2") and getFlag("porta1") then
    luzvermelha.Position = vector2(3712, 96)
  end

  if getFlag("enddoor1") and getFlag("enddoor2") and getFlag("porta2") then
    luzvermelha.Position = vector2(5040, 64)
  end

  if getFlag("enddoor1") and getFlag("enddoor2") and getFlag("porta3") then
    luzvermelha.Position = vector2(2968, 128)
  end

end